Update Playlist

This endpoint allows you to update playlist name, channel visibility, or playlist order on a channel page.

Path Parameters
  • playlist_id
    Type: string
    required

    ID for the playlist to update.

Body
application/json
  • channel_visibility
    Type: boolean

    If true then playlist will be visible on channel page.

  • description
    Type: string
  • player_config
    Type: object

    Configure player settings for this playlist, it overrides the setting set on collection.

  • position
    Type: integer Format: int32

    Playlists have order in which they will be shown on the channel page.

  • title
    Type: string
Responses
  • application/json
  • application/json
Request Example for post/video/playlist/{playlist_id}
import Gumlet from '@gumlet/nodejs-sdk';

const client = new Gumlet({
  apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});

const videoPlaylist = await client.videoPlaylists.update('playlistId');

console.log(videoPlaylist);
{
  "id": "6566ebd57499c676fe302bfc",
  "collection_id": "646df1c9173a4a2fcac180b4",
  "title": "Playlist-Title-Updated",
  "description": "This is updated description",
  "player_config": {
    "preload": true,
    "autoplay": false,
    "disable_seek": true,
    "disable_player_controls": false,
    "powered_by_gumlet_overlay": false,
    "allow_drm_protected_videos": false,
    "loop": false,
    "player_color": "#6658ea",
    "include_seo": true,
    "subtitle_enabled": true,
    "pixel_tags": {},
    "logo_width": 51,
    "logo_height": 100,
    "dynamic_watermark": false,
    "watermark_font_size": 1,
    "watermark_font_color": "#ff0000",
    "watermark_bg_color": "transparent",
    "watermark_interval": 1000
  }
}